PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerFileSetName

Sets the name of the file the PetscViewer uses.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFileSetName(PetscViewer viewer,const char name[])

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer; either ASCII or binary
| name | - the name of the file it should use

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), PetscViewerDestroy(),
PetscViewerASCIIGetPointer(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf()

### Level

advanced

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/sys/classes/viewer/tutorials/ex1.c.html
src/mat/tutorials/ex10.c.html
src/dm/impls/plex/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/tutorials/ex15.c.html
src/dm/tutorials/ex20.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/snes/tutorials/ex12.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex48.c.html

### Implementations

PetscViewerFileSetName_ExodusII in src/dm/impls/plex/plexexodusii.c
PetscViewerFileSetName_ADIOS in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerFileSetName_ADIOS2 in src/sys/classes/viewer/impls/adios2/adios2.c
PetscViewerFileSetName_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFileSetName_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerFileSetName_GLVis in src/sys/classes/viewer/impls/glvis/glvis.c
PetscViewerFileSetName_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
PetscViewerFileSetName_Matlab in src/sys/classes/viewer/impls/matlab/vmatlab.c
PetscViewerFileSetName_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
PetscViewerFileSetName_VU in src/sys/classes/viewer/impls/vu/petscvu.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages